<?

function online($user=NULL)
{
global $set,$time;
static $users;
if (!isset($users[$user]))
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$user' AND `date_last` > '".(time()-600)."' LIMIT 1"),0)==1)
{
if ($set['show_away']==0)$on='<img src="/style/online.gif.png" alt="" class="icon"/>';
else
{
$ank=mysql_fetch_assoc(mysql_query("SELECT `date_last` FROM `user` WHERE `id` = '$user' LIMIT 1"));
if ((time()-$ank['date_last'])==0)
$on='online';
else
$on='away: '.(time()-$ank['date_last']).' сек';
}

$users[$user]= " <span class=\"on\">$on</span>";
}
else
{
$users[$user]=null;
$users[$user]= ' <span class="off"><img src="/style/offline.gif.png" alt="" class="icon"/></span>'; // раскомментируйте, чтобы отображалось, когда пользователь не на сайте
}

}
return $users[$user];
}

?>









